#include<cmath>
#include<iostream>
using namespace std;
int main()
{ 
	int s[10000];
	int n,k,i;
	cin>>n;
	for(i=0;i<n;i++)
	{
		cin>>s[i];
	}
	cin>>k;
	for(i=0;i<n;i++)
	{
		if(s[i]>k)
			break;
	}
	for(int j=n-1;j>=i;j--)
	{
		s[j+1]=s[j];
	}
	s[i]=k;
	for(int m=0;m<n+1;m++)
		cout<<s[m]<<" ";
	return 0; 
}


